Support » Plugin: User Verification » Ensure backwards compatibility

  • scooterlord

    (@scooterlord)


    ..when updating the plugin try to keep it compatible with previous versions. I was working 2 weeks on the registration form and it broke my whole website…

    At least mention in the changelog that there are huge changes so that we know when to hold back…

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author PickPlugins

    (@pickplugins)

    HI, could you please share your issue, we haven’t remove old options, we just import old options(many) to new option(single) and your registration form should work fine.

    Regards

    Thread Starter scooterlord

    (@scooterlord)

    Thanks for your reply.

    First of all, the update broke all my email templates and messages – as in… they have been completely erased.

    Secondly, functionality has changed vastly. For example, the popup verification check.. I was happy with the redirection to a different page.

    When extending your plugin and judging by the frequency of your fixes, you should be more careful and do extensive testing before publishing. Also take your current userbase under consideration. If there are major changes, please specify so in the changelog.

    Plugin Author PickPlugins

    (@pickplugins)

    #1. we have managed email template issue, old email templates should import automatically after update version 1.0.44, old email template option still on database, let me know if you need help to get back.

    #2. you can still select verification page where it should happen and in our experience, lots of people forget to set up plugin and not creating verification page before trying and we received lots of support regarding this issue plugin is not working, that’s why we move to popup verification and redirect after verification still there, user will redirect automatically after completing verification.

    Thanks for your suggestions. i really appreciated it.

    Regards

    Thread Starter scooterlord

    (@scooterlord)

    Regarding #2, this is a UX issue.. if in fact it WAS required to function, maybe it would be a good idea to ‘force’ them to select a page through a wizard or auto-select a random page – or even better auto-create a verification page.

    The popup window, despite being intrusive, it has to be re-styled/filtered/translated to sit properly within the website. Also a redirect to a specific page would be nice after it completes – reverted to a previous version so can’t really check if it worked (but I think it didn’t)

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Ensure backwards compatibility’ is closed to new replies.